# Interface IVerticalRulerListener

All Known Implementing Classes:
  `SelectAnnotationRulerAction`

public interface IVerticalRulerListener
Interface for listening to annotation related events happening on a vertical ruler.

This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`annotationContextMenuAboutToShow(VerticalRulerEvent event, Menu menu)`
Called when the context menu is opened on an annotation in the vertical ruler.
`void`
`annotationDefaultSelected(VerticalRulerEvent event)`
Called when a default selection occurs on an annotation in the vertical ruler.
`void`
`annotationSelected(VerticalRulerEvent event)`
Called when an annotation is selected in the vertical ruler.

## Method Details

### annotationSelected

void annotationSelected(VerticalRulerEvent event)
Called when an annotation is selected in the vertical ruler.

Parameters:
  `event` - the annotation event that occurred

### annotationDefaultSelected

void annotationDefaultSelected(VerticalRulerEvent event)
Called when a default selection occurs on an annotation in the vertical ruler.

Parameters:
  `event` - the annotation event that occurred

### annotationContextMenuAboutToShow

void annotationContextMenuAboutToShow(VerticalRulerEvent event, Menu menu)
Called when the context menu is opened on an annotation in the vertical ruler.

Parameters:
  `event` - the annotation event that occurred
  `menu` - the menu that is about to be shown